Bug 129882 - Characters appear incorrect when type man (Bulgarian Locale)
Characters appear incorrect when type man (Bulgarian Locale)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-13 15:21 EDT by Nikolay
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.5o1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 18:48:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikolay 2004-08-13 15:21:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
If you just type a 'man' in console (KDE I do not test that in GNOME)
you see the string in  incorrect character coding. 

<may not be the correct one the browser seems to have problems with
encoding to>

'Ъюџ ёђ№рэшір юђ №њъютюфёђтюђю цхырхђх?'



I believe the character set is not correct. 

My locale command output is
LANG=bg_BG.UTF-8
LC_CTYPE="bg_BG.UTF-8"
LC_NUMERIC="bg_BG.UTF-8"
LC_TIME="bg_BG.UTF-8"
LC_COLLATE="bg_BG.UTF-8"
LC_MONETARY="bg_BG.UTF-8"
LC_MESSAGES="bg_BG.UTF-8"
LC_PAPER="bg_BG.UTF-8"
LC_NAME="bg_BG.UTF-8"
LC_ADDRESS="bg_BG.UTF-8"
LC_TELEPHONE="bg_BG.UTF-8"
LC_MEASUREMENT="bg_BG.UTF-8"
LC_IDENTIFICATION="bg_BG.UTF-8"
LC_ALL=


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open konsole (KDE) 
2.type man
3.observe the output
    

Actual Results:  Ъюџ ёђ№рэшір юђ №њъютюфёђтюђю цхырхђх?


Expected Results:  Should be in Bulgarian language.
look like:

'Каква страница желаете да видите?'

- translation is mine not the actual one.

Additional info:
Comment 1 Doncho N. Gunchev 2004-09-24 20:27:32 EDT
    With KDE's konsole and the normal text console (/dev/ttyX) man,
info show strange characters; mutt displays nothing instead of cyrilic
letters, ls and mc work in all the cases - this is not konsole/console
problem. I tryed LC_ALL=bg_BG.{CP1251,UTF-8} luit <whatever>. Info
works fine with 'ru_RU.{CP1251,UTF-8}. wget works fine with
bg_BG.UTF-8, but fails with bg_BG.CP1251 (with ru_RU.CP1251 shows in
English).
    When you press <F10> in mc the dialog is a 2-3 characters outside
the left corner of the screen and has a large blank area at the right,
but I guess this is another story.
Comment 2 Eido Inoue 2004-11-09 18:48:14 EST
man-1.5o1 should have the bg encoding correctly specified; it should
also work with legacy non-UTF-8 encodings.

Note You need to log in before you can comment on or make changes to this bug.